I can't update to 2.2?

Discussion in 'iPod touch Firmware 2.X' started by super fly, Dec 6, 2008.

  1. super fly

    super fly New Member

    Joined:
    Jul 28, 2008
    Messages:
    93
    Likes Received:
    0
    Device:
    iPod touch
    Seems like I have been having issues updating my iTouch. I had this issue in 2.1 too. But whenever I try to update my iTouch I get an unknown error (-19).
    I fixed this once by restoring my iPod, but thats a pain (Long wait).
    Is there any cause to this that I can fix easily, or do I just have to restore my ipod?
  2. KevN

    KevN Member

    Joined:
    Mar 23, 2008
    Messages:
    393
    Likes Received:
    3
    Device:
    iPhone 3GS (White)
    Yea, that happens to me every now or then, I fixed it by restoring it. Only other option is maybe to re-download firmware.

Share This Page